function [fxe]=up_lif(fxe,fxo,Par,pol_dis_qint)
%one step of inverse biorthogonal wavelet transform 
%fxe -DFT of low-frequency intput  signal (or an array of row signals)
%fx0 -DFT of high-frequency intput  signal

 %Par--spline order
% pol_dis_qint=1--polynom. interp. spline; =2--discr. interp. spline; =3--quasi-interp. spline 
%Par=33 --extended quadratic quasiinterp. spline
%fx -DFT of output signal 

[ve,lx]=size(fxe); 

% 
[wm2,w2,f2]=slfilt_lif(lx,2*lx,Par,pol_dis_qint);
%
[wm,w,f]=slfilt_lif(lx,lx,Par,pol_dis_qint);

  w2= repmat(w2,ve,1);
 f2=repmat(f2,ve,1);

 wm2=repmat(wm2,ve,1);
  w= repmat(w,ve,1);
 f=repmat(f,ve,1);

wm=repmat(wm,ve,1);


fxe=fxe-wm.*(f/2).*fxo;
fxo=fxo+f.*w.*fxe;
fxe2=[fxe fxe];fxo2=[fxo fxo];

fxe=fxe2+wm2.*fxo2; 

% Copyright (c) 2013. Valery A. Zheludev